Package ghidra.program.model.lang

# Enum Class StorageClass

java.lang.Object
java.lang.Enum<StorageClass>
ghidra.program.model.lang.StorageClass

All Implemented Interfaces:
  `Serializable`, `Comparable<StorageClass>`, `Constable`

public enum StorageClass extends Enum<StorageClass>
Data-type class for the purpose of assigning storage

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CLASS1`
  `CLASS2`
  `CLASS3`
  `CLASS4`
  `FLOAT`
  `GENERAL`
  `HIDDENRET`
  `PTR`
  `VECTOR`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static StorageClass`
  `getClass(String val)`
  `int`
  `getValue()`
  `String`
  `toString()`
  `static StorageClass`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static StorageClass[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### GENERAL

    public static final StorageClass GENERAL

  - ### FLOAT

    public static final StorageClass FLOAT

  - ### PTR

    public static final StorageClass PTR

  - ### HIDDENRET

    public static final StorageClass HIDDENRET

  - ### VECTOR

    public static final StorageClass VECTOR

  - ### CLASS1

    public static final StorageClass CLASS1

  - ### CLASS2

    public static final StorageClass CLASS2

  - ### CLASS3

    public static final StorageClass CLASS3

  - ### CLASS4

    public static final StorageClass CLASS4

- ## Method Details

  - ### values

    public static StorageClass[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static StorageClass valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public int getValue()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<StorageClass>`

  - ### getClass

    public static StorageClass getClass(String val) throws XmlParseException
    Throws:
      `XmlParseException`